export default {
  id: 'answer',
  title: '学习目的',
  showProgress: true,
  progress: 0,
  get: {
    action: '/zws/v1/enrollment/answers?project_id=1000',
    callback(data) {
      let _data = {}
      data.forEach((item, i) => {
        _data['qid' + (i + 1)] = item.qid
        _data['learn_target_0' + (i + 1)] = item.answer
      })
      return _data
    }
  },
  update: {
    action: '/zws/v1/enrollment/answers/batch-upload',
    data: { project_id: 1000 },
    beforeRequest(data) {
      let _data = { records: [] }
      _data.records.push({ qid: data.qid1, answer: data.learn_target_01 })
      _data.records.push({ qid: data.qid2, answer: data.learn_target_02 })
      return _data
    }
  },
  form: {
    options: {
    },
    items: [
      /* 您为什么要申请索菲亚大学金融方向工商管理硕士项目？（60字以上，1000字以内） */
      {
        'type': 'textarea-form',
        'label': '您为什么要申请索菲亚大学金融方向工商管理硕士项目？（60字以上，1000字以内）',
        'required': true,
        'model': 'learn_target_01',
        'model-width': '100%',
        'placeholder': '您为什么要申请索菲亚大学金融方向工商管理硕士项目？（60字以上，1000字以内）',
        'attrs': {
          'rows': '8',
          'maxlength': '1000',
          'show-word-limit': true
        },
        'rules': [
          {
            'required': true,
            'message': '请输入内容',
            'trigger': 'blur'
          },
          {
            'min': 60,
            'max': 1000,
            'message': '长度在 60 到 1000 个字符',
            'trigger': 'blur'
          }
        ]
      },
      /* 您的短期和长期职业发展目标是什么？您打算如何达成此愿景？（60字以上，1000字以内） */
      {
        'type': 'textarea-form',
        'label': '您的短期和长期职业发展目标是什么？您打算如何达成此愿景？（60字以上，1000字以内）',
        'required': true,
        'model': 'learn_target_02',
        'model-width': '100%',
        'placeholder': '您的短期和长期职业发展目标是什么？您打算如何达成此愿景？（60字以上，1000字以内）',
        'attrs': {
          'rows': '8',
          'maxlength': '1000',
          'show-word-limit': true
        },
        'rules': [
          {
            'required': true,
            'message': '请输入内容',
            'trigger': 'blur'
          },
          {
            'min': 60,
            'max': 1000,
            'message': '长度在 60 到 1000 个字符',
            'trigger': 'blur'
          }
        ]
      }
    ]
  }
}
