export default {
  id: 'profile',
  title: '个人信息',
  showProgress: true,
  progress: 0,
  get: {
    action: '/zws/v1/enrollment/profiles?project_id=1000',
    callback(data) {
      data.date_of_starting_to_work = data.date_of_starting_to_work + ''
      let arr = []
      arr[0] = data.address_province
      arr[1] = data.address_city
      data.city_select_str = arr.join('-')
      return data
    }
  },
  update: {
    action: '/zws/v1/enrollment/profiles',
    data: { project_id: 1000 },
    callback(data) {
      let arr = data.city_select_str.split('-')
      data.address_province = arr[0]
      data.address_city = arr[1]
      return data
    }
  },
  form: {
    options: {
      labelWidth: '160px'
    },
    mode: {
      real_name_cn: '',
      real_name_en: '',
      id_type: null,
      id_number: '',
      birthday: null,
      gender: null,
      nationality: null,
      date_of_starting_to_work: null,
      phone_number: '',
      email: '',
      qq_account: '',
      we_chat_account: '',
      mailing_address: '',
      emergency_contact_name: '',
      emergency_contacts_phone: '',
      english_level: null,
      english_score: '',
      channel: null
    },
    items: [
      /* 姓名 */
      {
        'type': 'input-form',
        'label': '姓名',
        'required': true,
        'model': 'real_name_cn',
        'model-width': '300px',
        'placeholder': '请输入姓名'
      },
      /* 手机号 */
      {
        'type': 'input-form',
        'label': '手机号',
        'required': true,
        'model': 'phone_number',
        'model-width': '300px',
        'placeholder': '请输入手机号'
      },
      /* 邮箱 */
      {
        'type': 'input-form',
        'label': '邮箱',
        'required': true,
        'model': 'email',
        'model-width': '300px',
        'placeholder': '请输入邮箱'
      },
      /* 证件类型 */
      {
        'type': 'select-form',
        'label': '证件类型',
        'required': true,
        'model': 'id_type',
        'model-width': '300px',
        'placeholder': '请选择证件类型',
        'values': [
          { 'label': '居民身份证', 'value': 0 },
          { 'label': '港澳台身份证', 'value': 1 },
          { 'label': '护照号', 'value': 2 },
          { 'label': '军官证', 'value': 3 },
          { 'label': '其他', 'value': 9 }
        ]
      },
      /* 证件号码 */
      {
        'type': 'input-form',
        'label': '证件号码',
        'required': true,
        'model': 'id_number',
        'model-width': '300px',
        'placeholder': '请输入证件号码'
      },
      /* 出生日期 */
      {
        'type': 'date-picker-form',
        'elemType': 'date',
        'label': '出生日期',
        'required': true,
        'model': 'birthday',
        'model-width': '300px',
        'placeholder': '请选择出生日期',
        'attrs': { 'value-format': 'yyyy-MM-dd' },
        'rules': []
      },
      /* 性别 */
      {
        'type': 'radio-group-form',
        'label': '性别',
        'required': true,
        'model': 'gender',
        'model-width': '300px',
        'values': [{ 'label': '男', 'value': 1 }, { 'label': '女', 'value': 2 }],
        'attrs': {},
        'rules': []
      },
      /* 国籍 */
      {
        'type': 'select-form',
        'label': '国籍',
        'required': true,
        'model': 'nationality',
        'model-width': '300px',
        'placeholder': '请选择国籍',
        'values': [
          { 'label': '中国', 'value': 1 },
          { 'label': '其他国家', 'value': 9 }
        ]
      },
      /* 现居住城市 */
      {
        'type': 'city-select-form',
        'label': '现居住城市',
        'label-width': '160px',
        'required': true,
        'model': 'city_select_str',
        'separator': '-',
        'model-width': '',
        'placeholder0': '请输入省份',
        'placeholder1': '请输入城市',
        'attrs0': {},
        'attrs1': {},
        'rules': []
      },
      /* 参加工作年份 */
      {
        'type': 'date-picker-form',
        'elemType': 'year',
        'label': '参加工作年份',
        'required': true,
        'model': 'date_of_starting_to_work',
        'model-width': '300px',
        'placeholder': '请选择参加工作年份',
        'attrs': { 'value-format': 'yyyy' },
        'rules': []
      },
      /* 微信号 */
      {
        'type': 'input-form',
        'label': '微信号',
        'required': true,
        'model': 'we_chat_account',
        'model-width': '300px',
        'placeholder': '请输入微信号'
      },
      /* 邮寄地址 */
      {
        'type': 'input-form',
        'label': '邮寄地址',
        'required': true,
        'model': 'mailing_address',
        'model-width': '300px',
        'placeholder': '请输入邮寄地址'
      },
      /* 紧急联系人 */
      {
        'type': 'input-form',
        'label': '紧急联系人',
        'required': true,
        'model': 'emergency_contact_name',
        'model-width': '300px',
        'placeholder': '请输入紧急联系人'
      },
      /* 紧急联系电话 */
      {
        'type': 'input-form',
        'label': '紧急联系电话',
        'required': true,
        'model': 'emergency_contacts_phone',
        'model-width': '300px',
        'placeholder': '请输入紧急联系电话'
      }
    ]
  }
}
